package annotation

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
)

var RequestMappingAnnotationType = reflect.TypeOf((*RequestMappingAnnotation)(nil))

func init() {
	cda.RegisterAnnotation(RequestMappingAnnotationType)
}

type RequestMappingAnnotation struct {
	cda.TypeAnnotation `@annotation:"@web:RequestMapping"`

	Method string   `json:"method"`
	Entry  string   `json:"entry"`
	Params []string `json:"params"`
}
