package annotation

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
)

var RestHandlerAnnotationType = reflect.TypeOf((*RestHandlerAnnotation)(nil))

func init() {
	cda.RegisterAnnotation(RestHandlerAnnotationType)
}

type RestHandlerAnnotation struct {
	cda.TypeAnnotation `@annotation:"@web:RestHandler"`

	Entry string `json:"entry"`
}
