package main

import (
	"log"

	"github.com/buaazp/fasthttprouter"
	"github.com/valyala/fasthttp"

	app "git.loafle.net/totopia/server/pkg/loafer/app"
	"git.loafle.net/totopia/server/pkg/server"
)

func main() {
	router := fasthttprouter.New()

	app.Run(server.ServerType)

	log.Fatal(fasthttp.ListenAndServe(":8080", router.Handler))
}
